/*  $Id: ProgramObject.h,v 1.3 1997/04/04 08:23:23 jan Exp $

    Part of XPCE
    Designed and implemented by Anjo Anjewierden and Jan Wielemaker
    E-mail: jan@swi.psy.uva.nl

    Copyright (C) 1993-1997 University of Amsterdam. All rights reserved.
*/

#ifndef _PCE_PROGRAMOBJECT_H
#define _PCE_PROGRAMOBJECT_H

PceExternalClass(ClassProgramObject);
class PceProgramObject :public PceObject
{
public:
  PceProgramObject() :
    PceObject(ClassProgramObject)
  {
  }
};

inline PceProgramObject
AsProgramObject(PceArg a)
{ return *((PceProgramObject*) &a);
}

#endif /*!_PCE_PROGRAMOBJECT_H*/
